aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Core

Synopsis

- data SesError = SesError {
  - sesStatusCode :: Status
  - sesErrorCode :: Text
  - sesErrorMessage :: Text
  }
- data SesMetadata = SesMetadata {
  - requestId :: Maybe Text
  }
- data SesConfiguration qt = SesConfiguration {
  - sesiHttpMethod :: Method
  - sesiHost :: ByteString
  }
- sesEuWest1 :: ByteString
- sesUsEast :: ByteString
- sesUsEast1 :: ByteString
- sesUsWest2 :: ByteString
- sesHttpsGet :: ByteString -> SesConfiguration qt
- sesHttpsPost :: ByteString -> SesConfiguration NormalQuery
- sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery
- sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a
- data RawMessage = RawMessage {
  - rawMessageData :: ByteString
  }
- data Destination = Destination {
  - destinationBccAddresses :: [EmailAddress]
  - destinationCcAddresses :: [EmailAddress]
  - destinationToAddresses :: [EmailAddress]
  }
- type EmailAddress = Text
- data Sender = Sender {
  - senderAddress :: EmailAddress
  }
- sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)]

# Documentation

data SesError #

Constructors

SesError |
Fields sesStatusCode :: Status sesErrorCode :: Text sesErrorMessage :: Text

Instances

Show SesError # |
Methods showsPrec :: Int -> SesError -> ShowS # show :: SesError -> String # showList :: [SesError] -> ShowS #
Exception SesError # |
Methods toException :: SesError -> SomeException # fromException :: SomeException -> Maybe SesError # displayException :: SesError -> String #

data SesMetadata #

Constructors

SesMetadata |
Fields requestId :: Maybe Text

Instances

Show SesMetadata # |
Methods showsPrec :: Int -> SesMetadata -> ShowS # show :: SesMetadata -> String # showList :: [SesMetadata] -> ShowS #
Monoid SesMetadata # |
Methods mempty :: SesMetadata # mappend :: SesMetadata -> SesMetadata -> SesMetadata # mconcat :: [SesMetadata] -> SesMetadata #
Loggable SesMetadata # |
Methods toLogText :: SesMetadata -> Text #

data SesConfiguration qt #

Constructors

SesConfiguration |
Fields sesiHttpMethod :: Method sesiHost :: ByteString

Instances

Show (SesConfiguration qt) # |
Methods showsPrec :: Int -> SesConfiguration qt -> ShowS # show :: SesConfiguration qt -> String # showList :: [SesConfiguration qt] -> ShowS #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #

sesEuWest1 :: ByteString #

sesUsEast :: ByteString #

sesUsEast1 :: ByteString #

sesUsWest2 :: ByteString #

sesHttpsGet :: ByteString -> SesConfiguration qt #

sesHttpsPost :: ByteString -> SesConfiguration NormalQuery #

sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery #

sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a #

data RawMessage #

A raw e-mail.

Constructors

RawMessage |
Fields rawMessageData :: ByteString

Instances

Eq RawMessage # |
Methods (==) :: RawMessage -> RawMessage -> Bool # (/=) :: RawMessage -> RawMessage -> Bool #
Ord RawMessage # |
Methods compare :: RawMessage -> RawMessage -> Ordering # (<) :: RawMessage -> RawMessage -> Bool # (<=) :: RawMessage -> RawMessage -> Bool # (>) :: RawMessage -> RawMessage -> Bool # (>=) :: RawMessage -> RawMessage -> Bool # max :: RawMessage -> RawMessage -> RawMessage # min :: RawMessage -> RawMessage -> RawMessage #
Show RawMessage # |
Methods showsPrec :: Int -> RawMessage -> ShowS # show :: RawMessage -> String # showList :: [RawMessage] -> ShowS #

data Destination #

The destinations of an e-mail.

Constructors

Destination |
Fields destinationBccAddresses :: [EmailAddress] destinationCcAddresses :: [EmailAddress] destinationToAddresses :: [EmailAddress]

Instances

Eq Destination # |
Methods (==) :: Destination -> Destination -> Bool # (/=) :: Destination -> Destination -> Bool #
Ord Destination # |
Methods compare :: Destination -> Destination -> Ordering # (<) :: Destination -> Destination -> Bool # (<=) :: Destination -> Destination -> Bool # (>) :: Destination -> Destination -> Bool # (>=) :: Destination -> Destination -> Bool # max :: Destination -> Destination -> Destination # min :: Destination -> Destination -> Destination #
Show Destination # |
Methods showsPrec :: Int -> Destination -> ShowS # show :: Destination -> String # showList :: [Destination] -> ShowS #
Monoid Destination # |
Methods mempty :: Destination # mappend :: Destination -> Destination -> Destination # mconcat :: [Destination] -> Destination #

type EmailAddress = Text #

An e-mail address.

data Sender #

The sender's e-mail address.

Constructors

Sender |
Fields senderAddress :: EmailAddress

Instances

Eq Sender # |
Methods (==) :: Sender -> Sender -> Bool # (/=) :: Sender -> Sender -> Bool #
Ord Sender # |
Methods compare :: Sender -> Sender -> Ordering # (<) :: Sender -> Sender -> Bool # (<=) :: Sender -> Sender -> Bool # (>) :: Sender -> Sender -> Bool # (>=) :: Sender -> Sender -> Bool # max :: Sender -> Sender -> Sender # min :: Sender -> Sender -> Sender #
Show Sender # |
Methods showsPrec :: Int -> Sender -> ShowS # show :: Sender -> String # showList :: [Sender] -> ShowS #

sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)] #

Write a data type as a list of query parameters.